summaryrefslogtreecommitdiff
path: root/configs/releng
diff options
context:
space:
mode:
authorPierre Schmitz <pierre@archlinux.de>2012-10-06 00:27:18 +0200
committerPierre Schmitz <pierre@archlinux.de>2012-10-06 00:27:18 +0200
commitd355c2b83527d3f0c08c6e800b975a613a169c9d (patch)
tree86e545bc532e2c76e6bcdf9803b5fbed349b84ec /configs/releng
parent76f275e993eec849bd7c03dc42504b6214774a85 (diff)
Only enable the needed services
* pacman-init already pulls in services it depends on * the multi-user.target is the default * do not rename the getty service so tools like systemd-delta still work Signed-off-by: Pierre Schmitz <pierre@archlinux.de>
Diffstat (limited to 'configs/releng')
-rwxr-xr-xconfigs/releng/build.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/configs/releng/build.sh b/configs/releng/build.sh
index 3601dff..3f246d4 100755
--- a/configs/releng/build.sh
+++ b/configs/releng/build.sh
@@ -183,7 +183,7 @@ make_customize_root_image() {
patch ${work_dir}/root-image/usr/bin/pacman-key < ${script_path}/pacman-key-4.0.3_unattended-keyring-init.patch
sed -i 's/#\(en_US\.UTF-8\)/\1/' ${work_dir}/root-image/etc/locale.gen
sed 's#\(^ExecStart=-/sbin/agetty\)#\1 --autologin root#' \
- ${work_dir}/root-image/usr/lib/systemd/system/getty@.service > ${work_dir}/root-image/etc/systemd/system/autologin@.service
+ ${work_dir}/root-image/usr/lib/systemd/system/getty@.service > ${work_dir}/root-image/etc/systemd/system/getty@.service
mkarchiso ${verbose} -w "${work_dir}" -C "${pacman_conf}" -D "${install_dir}" \
-r 'locale-gen' \
run
@@ -194,7 +194,7 @@ make_customize_root_image() {
-r 'useradd -m -p "" -g users -G "audio,disk,optical,wheel" -s /bin/zsh arch' \
run
mkarchiso ${verbose} -w "${work_dir}" -C "${pacman_conf}" -D "${install_dir}" \
- -r 'systemctl -f enable multi-user.target haveged.service pacman-init.service autologin@.service dhcpcd.service || true' \
+ -r 'systemctl -f enable pacman-init.service getty@.service dhcpcd.service || true' \
run
: > ${work_dir}/build.${FUNCNAME}
fi